> ## Documentation Index
> Fetch the complete documentation index at: https://docs.chift.eu/llms.txt
> Use this file to discover all available pages before exploring further.

# Get report for a specific date (E-reporting)

> The endpoints returns the report for a specific date containing the required data for e-reporting



## OpenAPI

````yaml get /consumers/{consumer_id}/pos/report
openapi: 3.1.0
info:
  title: Chift API
  description: >-
    The Chift API is a universal API giving you access to financial data from
    the software of your clients. It helps software companies to offer native
    integrations to their clients without the effort needed to maintain those
    native integrations. By using the APIs (Accounting, POS, eCommerce) of
    Chift, you connect once and allow your clients to use their software
    packages.
  version: 1.0.0
servers:
  - url: https://api.chift.eu
    description: Chift
security:
  - bearerAuth: []
paths:
  /consumers/{consumer_id}/pos/report:
    get:
      tags:
        - Point of Sale
        - Closures
      summary: Get report for a specific date (E-reporting)
      description: >-
        The endpoints returns the report for a specific date containing the
        required data for e-reporting
      operationId: pos_get_report
      parameters:
        - name: consumer_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Consumer Id
        - name: date
          in: query
          required: true
          schema:
            type: string
            format: date
            title: Date
          description: Filter based on the business date
        - name: location_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Location Id
          description: >-
            Unique identifier of the location. If none passed, we will use the
            selected location by the end-user. If no location was selected, we
            will return an error.
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ReportItem'
        '400':
          content:
            application/json:
              example:
                message: Error while trying to perform your request
                status: error
              schema:
                $ref: '#/components/schemas/ChiftError'
          description: Bad Request
        '405':
          content:
            application/json:
              example:
                message: >-
                  The resource {Method} - {Resource} is not supported by
                  {ConnectorName}
                status: error
              schema:
                $ref: '#/components/schemas/ChiftError'
          description: Method Not Allowed
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
        '502':
          content:
            application/json:
              example:
                message: Error while trying to authenticate to {ConnectorName}
                status: error
              schema:
                $ref: '#/components/schemas/ChiftError'
          description: Bad Gateway
      security:
        - mcp_auth:
            - pos
            - pos.read
            - pos.closure
            - pos.closure.read
components:
  schemas:
    ReportItem:
      properties:
        date:
          type: string
          format: date
          title: Date
          description: Date of the report
          examples:
            - '2025-01-01'
        location_id:
          type: string
          title: Location Id
          description: Unique identifier of the location
          examples:
            - 371ca583-d218-4900-b236-397532cf0e52
        orders:
          anyOf:
            - items:
                $ref: '#/components/schemas/ReportOrders'
              type: array
            - type: 'null'
          title: Orders
          description: List of orders related to the report
          default: []
        payments:
          anyOf:
            - items:
                $ref: '#/components/schemas/ReportPayments'
              type: array
            - type: 'null'
          title: Payments
          description: List of payments related to the report
          default: []
      type: object
      required:
        - date
        - location_id
      title: ReportItem
    ChiftError:
      properties:
        message:
          type: string
          title: Message
        status:
          anyOf:
            - type: string
            - type: 'null'
          title: Status
          default: error
        detail:
          anyOf:
            - type: string
            - type: 'null'
          title: Detail
          default: ''
      type: object
      required:
        - message
      title: ChiftError
    HTTPValidationError:
      title: Validation Error
      required:
        - message
      type: object
      properties:
        message:
          title: Message
          type: string
          default: Validation error
        status:
          title: Status
          type: string
          default: error
        detail:
          title: Detail
          type: array
          items:
            $ref: '#/components/schemas/ValidationError'
    ReportOrders:
      properties:
        currency:
          type: string
          title: Currency
          description: Currency of the report (ISO 4217)
          examples:
            - EUR
        total:
          type: number
          title: Total
          description: Total amount including tax of the sales
          examples:
            - 10
        tax_amount:
          type: number
          title: Tax Amount
          description: Total amount of the taxes
          examples:
            - 1
        tax_duedatetypecode:
          anyOf:
            - type: string
              maxLength: 3
            - type: 'null'
          title: Tax Duedatetypecode
          description: Code giving specific meaning to a date, time or period
          examples:
            - '4'
        category:
          $ref: '#/components/schemas/ReportCategory'
          description: Category of the orders
          examples:
            - TLB1
        total_orders:
          type: integer
          title: Total Orders
          description: Total number of orders for the period
          examples:
            - 10
        taxes:
          anyOf:
            - items:
                $ref: '#/components/schemas/TotalTaxItem'
              type: array
            - type: 'null'
          title: Taxes
          description: List of taxes related to the report
          default: []
      type: object
      required:
        - currency
        - total
        - tax_amount
        - category
        - total_orders
      title: ReportOrders
    ReportPayments:
      properties:
        tax_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Tax Id
          description: Unique identifier of the tax
          examples:
            - 371ca583-d218-4900-b236-397532cf0e39
        tax_rate:
          type: number
          title: Tax Rate
          description: Tax rate
          examples:
            - '10'
        tax_amount:
          type: number
          title: Tax Amount
          description: Tax amount
          examples:
            - '1'
        total:
          type: number
          title: Total
          description: Total amount including tax
          examples:
            - '11'
        payment_method_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Payment Method Id
          description: Unique identifier of the payment method used for the payment
          examples:
            - payment_method-1
        payment_method_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Payment Method Name
          description: Chift's name of the payment method used for the payment
          examples:
            - Cash
        currency:
          type: string
          title: Currency
          description: Currency of the payment (ISO 4217)
          examples:
            - EUR
      type: object
      required:
        - tax_rate
        - tax_amount
        - total
        - currency
      title: ReportPayments
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    ReportCategory:
      type: string
      enum:
        - Supply of goods subject to value-added tax.
        - Services subject to value-added tax.
        - >-
          Supply of goods and provision of services not subject to value-added
          tax in France, including intra-Community distance sales mentioned in
          1° of I of Article 258 A and in Article 259 B of the French General
          Tax Code.
        - >-
          Transactions subject to the regimes provided for in e) of 1 of Article
          266 and in Articles 268 and 297 A of the French General Tax Code (VAT
          margin scheme).
      title: ReportCategory
    TotalTaxItem:
      properties:
        tax_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Tax Id
          description: Unique identifier of the tax
          examples:
            - 371ca583-d218-4900-b236-397532cf0e39
        tax_rate:
          type: number
          title: Tax Rate
          description: Tax rate
          examples:
            - '10'
        tax_amount:
          type: number
          title: Tax Amount
          description: Tax amount
          examples:
            - '1'
        total:
          type: number
          title: Total
          description: Total amount including tax
          examples:
            - '11'
      type: object
      required:
        - tax_rate
        - tax_amount
        - total
      title: TotalTaxItem
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        This access token needs to be included in each of your request to the
        Chift API.

````